#!/usr/bin/perl -w
# do not need bioperl
# get fasta exactly the order supplied by list
$n_args = @ARGV;
if (($n_args != 2)) {
    die "\n Usage: getFasta_fromID.pl  <fasta file> <list to get fasta>   \n\n";
}


$total = '';

open(FASTA, $ARGV[0]);
%list=();
while($line=<FASTA>){
   chomp $line;
   if ($line=~/^>/){
     $id=$line;
     $id=~s/>//;
       if(length($total)>1){
          $list{$pid}=$total;
       }
      $pid=$id;
      $total = '';
   }
   elsif($line!~/^>/){
     $seq= $line;
     $total = $total.$seq;
   }
}
if(length($total)>1){
          $list{$id}=$total;
       }

close FASTA;

open (L,$ARGV[1]);
while($name=<L>){
   chomp $name;
   $sequence = $list{$name};
   if (length($sequence)>1){
     print ">$name\n$sequence\n";
   }
}
close L;

